%--------------------------------------------------------------------------
% File     : LCL016=YRO_YRM-1 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : YRM depends on YRO
% Version  : 
% English  : Show that the single Meredith axiom YRM can be derived from 
%            the single Meredith axiom YRO.

% Refs     : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : EC-79 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   3 constant)
%            Number of variables         :    5 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    5

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Meredith 
input_clause(yro,axiom,
    [++is_a_theorem(equivalent(equivalent(X,Y),equivalent(Z,
equivalent(equivalent(Z,Y),X))))]).

%----Axiom by Meredith 
input_clause(prove_yrm,theorem,
    [--is_a_theorem(equivalent(equivalent(a,b),equivalent(c,
equivalent(equivalent(b,c),a))))]).
%--------------------------------------------------------------------------
