%--------------------------------------------------------------------------
% File     : SYN051=FPell21-1 : TPTP v1.1.1. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 21
% Version  : 
% English  : A moderately tricky problem, especially for 'natural' systems 
%            with 'strong' restrictions on variables generated from 
%            existential quantifiers.

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 21 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    4 (   1 non-Horn)(   0 unit)
%            Number of literals          :    8 (   0 equality)
%            Number of predicate symbols :    2 (   1 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :    2 (   2 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--p,
     ++big_f(a)]).

input_clause(clause_2,axiom,
    [--big_f(b),
     ++p]).

input_clause(clause_3,theorem,
    [++p,
     ++big_f(X)]).

input_clause(clause_4,theorem,
    [--big_f(X),
     --p]).
%--------------------------------------------------------------------------
